import * as React from 'react';
import BranchingQuestions from "../branchingQuestions";
import SettingOptionsAndPict from "./SettingOptionsAndPict";
import HelpQuestions from "../helpQuestions";
import UploadImage from "../UploadImage";


interface Props {
    switchState: string,
}

export default function SwitchOptionsAndPict({switchState = 'setting' }: Props) {

    switch (switchState) {
        case 'setting':
            return (<SettingOptionsAndPict/>);
            break;
        case 'help':
            return (<HelpQuestions/>);
            break
        case 'branching':
            return (<BranchingQuestions/>);
            break;
        case 'image':
            return (<UploadImage/>);
            break;
        default:
            return (<></>)
    }
}